Alternativ till Microsoft SyncToy? Kräver gammal version av .NET framework

Permalänk
Medlem

Alternativ till Microsoft SyncToy? Kräver gammal version av .NET framework

Hej!

Har länge använt ett utmärkt litet gratisprogram för synkronisering av mappar från Microsoft som heter SyncToy 2.1

Efter nyinstallation av Win 10 pro kan jag inte installera det längre. Får upp en ruta som säger att jag behöver .NET framework ver 2.0 och frågar om jag vill installera det, men försöker jag det får jag upp ett felmeddelande om att det finns en nyare version av -NET framwork installerad på datorn.

Finns det något sätt att komma runt det?

Finns det något bra alternativ till SyncToy annars? https://www.microsoft.com/en-us/download/search.aspx?q=syncto...

Tack!

Permalänk
Medlem
Skrivet av overthemoon:

Finns det något bra alternativ till SyncToy annars? https://www.microsoft.com/en-us/download/search.aspx?q=syncto...

Synctoy har lagts ned så du bör hitta ett alterantiv, men det finns fortfarande möjlighet att installera .NET 2.0:
https://docs.microsoft.com/en-us/dotnet/framework/install/dot...

Permalänk
Medlem

Sidan du länkar till handlar om .NET 3.5, inte 2.0.

Om man prompt vill använda SyncToy så skulle det nog vara teoretiskt möjligt att dekompilera det och sedan kompilera det mot en nyare .NET-version. Men då får man nog lära sig göra det själv eftersom licensen antagligen egentligen inte tillåter det.

Bättre då att permanent övergå till ett verktyg som inte försvinner när Microsoft inte orkar underhålla det längre, typ rsync i WSL.

Permalänk
Medlem
Skrivet av KAD:

Sidan du länkar till handlar om .NET 3.5, inte 2.0.

Om man prompt vill använda SyncToy så skulle det nog vara teoretiskt möjligt att dekompilera det och sedan kompilera det mot en nyare .NET-version. Men då får man nog lära sig göra det själv eftersom licensen antagligen egentligen inte tillåter det.

Bättre då att permanent övergå till ett verktyg som inte försvinner när Microsoft inte orkar underhålla det längre, typ rsync i WSL.

"Select the .NET Framework 3.5 (includes .NET 2.0 and 3.0) check box, select OK, and reboot your computer if prompted."

Permalänk
Medlem

Tack!

Jag som då inte ens vet vad .NET Framework är.....finns det någon nackdel med att installera det?

Jag TROR att jag fick ett meddelande om att det som är installerat är ver 4 så frågan är om jag kan installera ver 3.5.

Permalänk
Medlem
Skrivet av KAD:

Sidan du länkar till handlar om .NET 3.5, inte 2.0.

.NET 3.5 är i princip 2.0, det är därför 2.0 är med i samma installation vare sig man vill det eller ej.

Skrivet av overthemoon:

Jag som då inte ens vet vad .NET Framework är.....finns det någon nackdel med att installera det?

Inte direkt någon nackdel men att Microsoft gör det såhär svårt att installera är ett starkt tecken på att du borde lämna alla applikationer som kräver det för snart kommer allt stöd upphöra. Jag vet inte hur det är med W11 men jag skulle inte bli förvånad om du inte kan installera 3.5 där.

Skrivet av overthemoon:

Jag TROR att jag fick ett meddelande om att det som är installerat är ver 4 så frågan är om jag kan installera ver 3.5.

Det går bra att köra dem parallellt, följ min länk vid "Enable the .NET Framework 3.5 in Control Panel" bara.

Permalänk
Medlem

Aldrig använt synctoy men onedrive bör ju fylla dina behov och då får du ju även backup av filerna tror dock gratis är upp till 5 gb

Permalänk
Medlem
Skrivet av drance:

Aldrig använt synctoy men onedrive bör ju fylla dina behov och då får du ju även backup av filerna tror dock gratis är upp till 5 gb

Gäller främst ljud och videofiler så det är flera hundra gb som skulle vara aktuellt

Permalänk
Medlem